LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Software (http://www.linuxquestions.org/questions/linux-software-2/)
-   -   python/numpy on RHEL6.1 - installed RPMS not compiled from source (http://www.linuxquestions.org/questions/linux-software-2/python-numpy-on-rhel6-1-installed-rpms-not-compiled-from-source-890238/)

netnix99 07-06-2011 09:47 AM

python/numpy on RHEL6.1 - installed RPMS not compiled from source
 
Installed python and numpy on clean install of RHEL 6.1. When I run the numpy test script, this is the output:

[root@computer tmp]# python -c 'import numpy ; numpy.test()'
Running unit tests for numpy
NumPy version 1.3.0
NumPy is installed in /usr/lib/python2.6/site-packages/numpy
Python version 2.6.6 (r266:84292, Apr 11 2011, 15:52:27) [GCC 4.4.4 20100726 (Red Hat 4.4.4-13)]
nose version 0.10.4
..........Illegal instruction (core dumped)

I have a support ticket in with RH on this as well.

Thanks for the help!

netnix99

knudfl 07-06-2011 12:14 PM

EL6 / SL6 : # yum install numpy
Installing : atlas-3.8.3-12.4.el6.x86_64 1/4
Installing : python-setuptools-0.6.10-3.el6.noarch 2/4
Installing : python-nose-0.10.4-3.1.el6.noarch 3/4
Installing : numpy-1.3.0-6.2.el6.x86_64 4/4
Code:

[knudfl@localhost ~]$ python -c 'import numpy ; numpy.test()'
Running unit tests for numpy
NumPy version 1.3.0
NumPy is installed in /usr/lib64/python2.6/site-packages/numpy
Python version 2.6.5 (r265:79063, Dec 14 2010, 15:24:46) [GCC 4.4.4 20100726 (Red Hat 4.4.4-13)]
nose version 0.10.4
.....................................................................
....................................K................................
.....................................................................

Ran 2021 tests in 16.551s

OK (KNOWNFAIL=1)

Please do not run user commands as root.
Root is for administrative tasks only.

..

netnix99 07-06-2011 12:38 PM

Those programs are all installed...the test fails whether I am root or a regular user, I just happened to be root when I made the post, so I ran the test script to get the text of the output error for this post.

knudfl 07-06-2011 01:11 PM

Sorry, for no usable solution.

I did this now : Updated to python 2.6.6-20.el6
Test result : Ran 2021 tests in 15.984s OK (KNOWNFAIL=1)

And then I removed 'python-devel' ( Not required for numpy.)
A new test : Ran 2021 tests in 17.406s OK (KNOWNFAIL=1)

Things to consider : Is one of the 32bits packages corrupt ?
( As you can see, I am using a 64bits OS (= SL6, Scientific Linux.))
I may give the 32bit OS a try tomorrow.

..

netnix99 07-06-2011 01:30 PM

Quote:

Originally Posted by knudfl (Post 4407042)
Sorry, for no usable solution.

I did this now : Updated to python 2.6.6-20.el6
Test result : Ran 2021 tests in 15.984s OK (KNOWNFAIL=1)

And then I removed 'python-devel' ( Not required for numpy.)
A new test : Ran 2021 tests in 17.406s OK (KNOWNFAIL=1)

Things to consider : Is one of the 32bits packages corrupt ?
( As you can see, I am using a 64bits OS (= SL6, Scientific Linux.))
I may give the 32bit OS a try tomorrow.

..

I have the updated version of python installed (2.6.6-20.el6) and the same version of numpy as well. Oddly enough, it works on two machines, but fails on 3 other machines...all loaded the exact same way. I even tried to clone one of the working machines, and that failed as well. I just tested it on my 64-bit machine... Ran 2021 tests in 11.548s OK (KNOWNFAIL=1) Red Hat says they have it working on 32 and 64 bit machines...I sent them some additional info and they are trying to recreate the issue...

I really appreciate the effort!

Cheers,

netnix99


All times are GMT -5. The time now is 03:40 PM.